Permalink
Browse files

adding rake to gem file, updating rake script to use the rdoc task as…

… per rake warnings, updating the version of rspec used.
  • Loading branch information...
zakgrant committed Mar 22, 2013
1 parent 42c0239 commit a604bbc6655e76af9444e5b914263ecbc0d5342c
Showing with 20 additions and 16 deletions.
  1. +6 −2 Gemfile
  2. +13 −13 Gemfile.lock
  3. +1 −1 Rakefile
View
@@ -1,11 +1,15 @@
-source :rubygems
+source 'https://rubygems.org'
gem 'activerecord', '>= 2.3.5'
group :development do
gem 'activesupport'
gem 'actionpack'
gem 'sqlite3-ruby', '= 1.2.5'
- gem 'rspec', '~> 2.0.0'
+ gem 'rspec', '~> 2.13.0'
+end
+
+group :development, :test do
+ gem 'rake'
end
View
@@ -1,5 +1,5 @@
GEM
- remote: http://rubygems.org/
+ remote: https://rubygems.org/
specs:
abstract (1.0.0)
actionpack (3.0.3)
@@ -24,7 +24,7 @@ GEM
activesupport (3.0.3)
arel (2.0.6)
builder (2.1.2)
- diff-lcs (1.1.2)
+ diff-lcs (1.2.1)
erubis (2.6.6)
abstract (>= 1.0.0)
i18n (0.5.0)
@@ -33,16 +33,15 @@ GEM
rack (>= 1.0.0)
rack-test (0.5.6)
rack (>= 1.0)
- rspec (2.0.1)
- rspec-core (~> 2.0.1)
- rspec-expectations (~> 2.0.1)
- rspec-mocks (~> 2.0.1)
- rspec-core (2.0.1)
- rspec-expectations (2.0.1)
- diff-lcs (>= 1.1.2)
- rspec-mocks (2.0.1)
- rspec-core (~> 2.0.1)
- rspec-expectations (~> 2.0.1)
+ rake (10.0.3)
+ rspec (2.13.0)
+ rspec-core (~> 2.13.0)
+ rspec-expectations (~> 2.13.0)
+ rspec-mocks (~> 2.13.0)
+ rspec-core (2.13.1)
+ rspec-expectations (2.13.0)
+ diff-lcs (>= 1.1.3, < 2.0)
+ rspec-mocks (2.13.0)
sqlite3-ruby (1.2.5)
tzinfo (0.3.23)
@@ -53,5 +52,6 @@ DEPENDENCIES
actionpack
activerecord (>= 2.3.5)
activesupport
- rspec (~> 2.0.0)
+ rake
+ rspec (~> 2.13.0)
sqlite3-ruby (= 1.2.5)
View
@@ -15,7 +15,7 @@ end
task :default => :spec
-require 'rake/rdoctask'
+require 'rdoc/task'
Rake::RDocTask.new do |rdoc|
version = File.exist?('VERSION') ? File.read('VERSION') : ""

0 comments on commit a604bbc

Please sign in to comment.